#include<iostream>
#include<vector>
#include "sorting.h"
using namespace std;

vector<int> sort_custom(vector<int> c){
  bool pass = false; //have we passed through the cay without a swap?
  int temp;

  while (!pass){
    pass = true;
    for (int i=0; i<c.size()-1; i++){
      if (c[i] > c[i+1]){
        pass = false;
        temp = c[i];
        c[i] = c[i+1];
        c[i+1] = temp;
      }
    }
  }
  return c;
}

